## ros-one-switchbot-ros 2.1.31-19jammy.20260116.2117

=== debian/changelog ===
ros-one-switchbot-ros (2.1.31-19jammy.20260116.2117) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:17:14 +0000

ros-one-switchbot-ros (2.1.31-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-switchbot-ros (2.1.30-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-switchbot-ros (2.1.29-0jammy) jammy; urgency=high

  * add codes for publishing switchbot CO2 meter status. (#513 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/513>)
  * switchbot_ros: use --cert for catkin_virtualenv for indigo (#507 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/507>)
  * Add switchbot status publisher. (#505 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/505>)
  * Mod for switchbot api 1.1 (#491 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/491>)
  * [switchbot_ros] force to use python3 for lambda string sort (#495 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/495>)
  * Contributors: Yoshiki Obinata, Yosuke Yamamoto

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-switchbot-ros (2.1.28-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-switchbot-ros (2.1.27-0jammy) jammy; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-switchbot-ros (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-switchbot-ros (2.1.25-0jammy) jammy; urgency=high

  * [switchbot_ros] add actionlib_msgs and std_msgs as build_depend (#357 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/357>)
  * [switchbot_ros] add obinata as maintainer for switchbot_ros (#358 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/358>)
  * Pr/add switchbot device list publisher (#344 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/344>)
  * [switchbot_ros] update switchbot_ros client (#345 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/345>)
  * [chaplus_ros][switchbot_ros]fix exec_depend in ros noetic (#332 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/332>)
  * [switchbot_ros] update ReadMe.md (#324 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/324>)
  * [switchbot_ros] Sort device_list (#331 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/331>)
  * [switchbot_ros] remove catching base exception and output more specific key error when the switchbot id not exists on the server (#321 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/321>)
  * add install section to switchbot_ros/CMakeLists.txt (#294 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/294>)
  * [switchbot_ros] use python setup to avoid relative import in switchbot_ros (#278 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/278>)
  * [switchbot_ros] catch the exception when init the node (#279 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/279>)
  * Contributors: Kei Okada, Koki Shinjo, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata, Iory Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-switchbot-ros (2.1.24-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-switchbot-ros (2.1.23-0jammy) jammy; urgency=high

  * add rosnode for switchbot (#260 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/260>)
  * Contributors: Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-switchbot-ros (2.1.22-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-switchbot-ros (2.1.21-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-switchbot-ros (2.1.20-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-switchbot-ros (2.1.19-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-switchbot-ros (2.1.18-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-switchbot-ros (2.1.17-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 21:51:00 -0000

ros-one-switchbot-ros (2.1.16-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 15:21:00 -0000

ros-one-switchbot-ros (2.1.15-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-switchbot-ros (2.1.14-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-switchbot-ros (2.1.13-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-switchbot-ros (2.1.12-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-switchbot-ros (2.1.11-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-switchbot-ros (2.1.10-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-switchbot-ros (2.1.9-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-switchbot-ros (2.1.8-0jammy) jammy; urgency=high





## ros-one-switchbot-ros 2.1.31-19jammy.20260207.2151

=== debian/changelog ===
ros-one-switchbot-ros (2.1.31-19jammy.20260207.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:51:48 +0000

## ros-one-switchbot-ros 2.1.31-19jammy.20260221.0014

=== debian/changelog ===
ros-one-switchbot-ros (2.1.31-19jammy.20260221.0014) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 00:14:02 +0000

## ros-one-switchbot-ros 2.1.31-19noble.20251023.0331

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(switchbot_ros)

find_package(
  catkin REQUIRED COMPONENTS
  message_generation
  actionlib_msgs
  catkin_virtualenv
)

catkin_python_setup()

add_message_files(
  FILES
  Device.msg
  DeviceArray.msg
  Meter.msg
  MeterProCO2.msg
  PlugMini.msg
  Hub2.msg
  Bot.msg
  StripLight.msg
)

add_action_files(
  DIRECTORY action
  FILES SwitchBotCommand.action
)

generate_messages(
  DEPENDENCIES
  actionlib_msgs
)

catkin_package()

if("$ENV{ROS_DISTRO}" STREQUAL "indigo")
file(DOWNLOAD http://curl.haxx.se/ca/cacert.pem ${CMAKE_BINARY_DIR}/cacert.pem)
catkin_generate_virtualenv(
  PYTHON_INTERPRETER python3
  CHECK_VENV FALSE
  # https://stackoverflow.com/questions/25981703/pip-install-fails-with-connection-error-ssl-certificate-verify-failed
  EXTRA_PIP_ARGS -vvv --cert=${CMAKE_BINARY_DIR}/cacert.pem
)
else()
catkin_generate_virtualenv(
  PYTHON_INTERPRETER python3
  CHECK_VENV FALSE
)
endif()

include_directories()

# install
# euslisp
file(GLOB EUSLISP_SCRIPTS scripts/*.l)
install(FILES ${EUSLISP_SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
# python
file(GLOB PYTHON_SCRIPTS scripts/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
# launch
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-one-switchbot-ros (2.1.31-19noble.20251023.0331) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 03:31:59 +0000

ros-one-switchbot-ros (2.1.31-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-switchbot-ros (2.1.30-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-switchbot-ros (2.1.29-0noble) noble; urgency=high

  * add codes for publishing switchbot CO2 meter status. (#513 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/513>)
  * switchbot_ros: use --cert for catkin_virtualenv for indigo (#507 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/507>)
  * Add switchbot status publisher. (#505 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/505>)
  * Mod for switchbot api 1.1 (#491 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/491>)
  * [switchbot_ros] force to use python3 for lambda string sort (#495 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/495>)
  * Contributors: Yoshiki Obinata, Yosuke Yamamoto

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-switchbot-ros (2.1.28-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-switchbot-ros (2.1.27-0noble) noble; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-switchbot-ros (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-switchbot-ros (2.1.25-0noble) noble; urgency=high

  * [switchbot_ros] add actionlib_msgs and std_msgs as build_depend (#357 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/357>)
  * [switchbot_ros] add obinata as maintainer for switchbot_ros (#358 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/358>)
  * Pr/add switchbot device list publisher (#344 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/344>)
  * [switchbot_ros] update switchbot_ros client (#345 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/345>)
  * [chaplus_ros][switchbot_ros]fix exec_depend in ros noetic (#332 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/332>)
  * [switchbot_ros] update ReadMe.md (#324 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/324>)
  * [switchbot_ros] Sort device_list (#331 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/331>)
  * [switchbot_ros] remove catching base exception and output more specific key error when the switchbot id not exists on the server (#321 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/321>)
  * add install section to switchbot_ros/CMakeLists.txt (#294 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/294>)
  * [switchbot_ros] use python setup to avoid relative import in switchbot_ros (#278 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/278>)
  * [switchbot_ros] catch the exception when init the node (#279 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/279>)
  * Contributors: Kei Okada, Koki Shinjo, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata, Iory Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-switchbot-ros (2.1.24-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-switchbot-ros (2.1.23-0noble) noble; urgency=high

  * add rosnode for switchbot (#260 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/260>)
  * Contributors: Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-switchbot-ros (2.1.22-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-switchbot-ros (2.1.21-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-switchbot-ros (2.1.20-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-switchbot-ros (2.1.19-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-switchbot-ros (2.1.18-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-switchbot-ros (2.1.17-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 21:51:00 -0000

ros-one-switchbot-ros (2.1.16-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 15:21:00 -0000

ros-one-switchbot-ros (2.1.15-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-switchbot-ros (2.1.14-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-switchbot-ros (2.1.13-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-switchbot-ros (2.1.12-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-switchbot-ros (2.1.11-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-switchbot-ros (2.1.10-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-switchbot-ros (2.1.9-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-switchbot-ros (2.1.8-0noble) noble; urgency=high





=== debian/control ===
Source: ros-one-switchbot-ros
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-catkin-virtualenv, ros-one-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-switchbot-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-requests, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-message-runtime, ros-one-rospy
Description: use switchbot with ros

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-switchbot-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-switchbot-ros 2.1.31-19noble.20260116.2113

=== debian/changelog ===
ros-one-switchbot-ros (2.1.31-19noble.20260116.2113) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:14:00 +0000

## ros-one-switchbot-ros 2.1.31-19noble.20260207.2151

=== debian/changelog ===
ros-one-switchbot-ros (2.1.31-19noble.20260207.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:51:50 +0000

## ros-one-switchbot-ros 2.1.31-19noble.20260221.0041

=== debian/changelog ===
ros-one-switchbot-ros (2.1.31-19noble.20260221.0041) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 00:41:06 +0000
